Bug 502923 - Changing base channel for kickstart distribution results in 500 ISE
Changing base channel for kickstart distribution results in 500 ISE
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Partha Aji
Steve Salevan
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-05-27 15:38 EDT by Steve Salevan
Modified: 2009-09-10 15:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:26:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Traceback received during distribution base channel changeover (8.10 KB, text/plain)
2009-05-27 15:38 EDT, Steve Salevan
no flags Details

  None (edit)
Description Steve Salevan 2009-05-27 15:38:24 EDT
Created attachment 345667 [details]
Traceback received during distribution base channel changeover

Description of problem:
If a user creates a kickstart distribution then changes its base channel, a 500 ISE will result, with the attached traceback being emitted into /var/log/tomcat5/catalina.out.

Version-Release number of selected component (if applicable):
530, 5/21 build

How reproducible:
Always

Steps to Reproduce:
1. Create a kickstart distribution
2. After creation, change its base channel
  
Actual results:
ISE

Expected results:
No ISE

Additional info:
Comment 1 Partha Aji 2009-05-28 17:33:35 EDT
This issue has been fixed in e140b3721dc03b0a802c418c0b06dc6ac9e80e08. It  won't make the May 28 th Iso but will be available in the next.. 
Basically the code did not account for the possibility of a xen distro being null (as in a Rhel4 distro or custom distros not using xen so having a null value for xen)  and so while saving  the distro encountered a null pointer..
Comment 2 Steve Salevan 2009-06-10 11:48:52 EDT
VERIFIED on 6/5 build.
Comment 3 Brandon Perkins 2009-07-28 17:02:21 EDT
Release Pending.  https://test1182.test.redhat.com/rhn/kickstart/TreeEdit.do which is: Satellite-5.3.0-RHEL5-re20090724.0-x86_64-embedded-oracle
Comment 4 Brandon Perkins 2009-09-10 15:26:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.